<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="getInfo()" class="btn btn-primary">
    <i class="fa fa-search mr-2"></i>Buscar
  </button>
  <button type="button" class="btn btn-success ml-1" (click)="exportExcel()" [disabled]="dataGrid.length == 0">
    <i class="fa fa-file-excel mr-2"></i>Excel
  </button>
  <button type="button" class="btn btn-danger ml-1" (click)="exportPdf()" [disabled]="dataGrid.length == 0">
    <i class="fa fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="col-6 col-sm-5 col-md-4 col-lg-3 col-xl-3 form-group">
          <label>Agencia</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="cChr1">
            <div class="input-group-append">
              <button class="btn btn-primary" type="button" (click)="openModal(modal, 'Agencia')">
                <i class="fas fa-search"></i>
              </button>
            </div>
          </div>
        </div>
        <div class="col-sm-3 col-md-3 col-lg-2 col-xl-2 form-group">
          <label class="w-100"></label>
          <kendo-datepicker [format]="'MM/yyyy'" [min]="minDateDesde" [(ngModel)]="fecha" class="mt-2"
            [ngModelOptions]="{standalone: true}">
          </kendo-datepicker>
        </div>
        <div class="col-sm-3 col-md-3 col-lg-2 col-xl-2 form-group">
          <label class="w-100"></label>
          <input type="checkbox" id="lLog1" class="k-checkbox mt-2" formControlName="lLog1">
          <label class="k-checkbox-label mt-2" for="lLog1">Forecast</label>
        </div>
        <div class="col-sm-4 col-md-4 col-lg-4 col-xl-4 mt-2 form-group">
          <label class="w-100"></label>
          <input type="checkbox" id="tipo" class="k-checkbox" [checked]=true
          [(ngModel)]="tipoGrid" [ngModelOptions]="{standalone: true}">
          <label class="k-checkbox-label" for="tipo">Mensual/Detalle</label>
        </div>
      </div>

    </form>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="tipoCto"
                *ngIf="!loading && !tipoGrid"
                [selectable]="true"
                [filter]="filter"
                [filterable]="true"
                [navigable]="true"
                [reorderable]="true"
                [resizable]="true"
                [sortable]="true"
                [pageSize]="pageSize"
                [skip]="skip"
                [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}"
                style="height: 65vh;"
      class="mt-1">
      <div *ngIf="dataGlobal.length !== 0">
        <kendo-grid-column field="TipoCuarto" title="Tipo Cuarto" width="110"></kendo-grid-column>
        <kendo-grid-column-group *ngFor="let n of dataGrid; let i=index" width="340"
        title="{{n.Fecha | date: 'MM/dd'}}" >
          <kendo-grid-column field="tipoCto[i].Allotment" title="Allotment" width="100">
            <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Allotment }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="tipoCto[i].Reservados" title="Rsrv." width="80">
            <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Reservados }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="tipoCto[i].Forecast" title="F.C." width="80">
            <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Forecast }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="tipoCto[i].FueraAllotment" title="F. All." width="80">
            <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.FueraAllotment }}
            </ng-template>
          </kendo-grid-column>
        </kendo-grid-column-group>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>


    <kendo-grid [kendoGridBinding]="dataGlobal"
                *ngIf="!loading && tipoGrid"
                [selectable]="true"
                [filter]="filter"
                [filterable]="true"
                [navigable]="true"
                [reorderable]="true"
                [resizable]="true"
                [sortable]="true"
                [pageSize]="pageSize"
                [skip]="skip"
                [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}"
                style="height: 60vh;"
      class="mt-1">
      <div *ngIf="dataGlobal.length !== 0">
        <kendo-grid-column field="Fecha" title="Fecha Allot" width="110"></kendo-grid-column>
        <kendo-grid-column field="Allotment" title="Allotment" width="110"></kendo-grid-column>
        <kendo-grid-column field="Reservados" title="Reservados" width="110"></kendo-grid-column>
        <kendo-grid-column field="Disponibles" title="Diferencia" width="110"></kendo-grid-column>
        <kendo-grid-column field="ForeCast" title="Forecast" width="110"></kendo-grid-column>
        <kendo-grid-column field="DispForecast" title="Diferencia" width="110"></kendo-grid-column>
        <kendo-grid-column field="FueraAllotment" title="F. Allot." width="110"></kendo-grid-column>
        <kendo-grid-column field="TotalDisponibles" title="Dif. Total" width="110"></kendo-grid-column>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>


    <div class="divider" *ngIf="tipoGrid"></div>

    <kendo-grid [kendoGridBinding]="dataMensual"
                *ngIf="!loading && tipoGrid"
                [selectable]="true"
                [filter]="filter"
                [filterable]="true"
                [navigable]="true"
                [reorderable]="true"
                [resizable]="true"
                [sortable]="true"
                [pageSize]="pageSize"
                [skip]="skip"
                [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}"
                style="height: 65vh;"
      class="mt-1">
      <div *ngIf="dataGlobal.length !== 0">
        <kendo-grid-column field="TipoCuarto" title="Tipo Cuarto" width="110"></kendo-grid-column>
        <kendo-grid-column field="Allotment" title="Allotment" width="110"></kendo-grid-column>
        <kendo-grid-column field="Reservados" title="Reservados" width="110"></kendo-grid-column>
        <kendo-grid-column field="Disponibles" title="Disponibles" width="110"></kendo-grid-column>
        <kendo-grid-column field="ForeCast" title="Forecast" width="110"></kendo-grid-column>
        <kendo-grid-column field="DispForecast" title="Disponibles" width="110"></kendo-grid-column>
        <kendo-grid-column field="FueraAllotment" title="F. Allot." width="110"></kendo-grid-column>
        <kendo-grid-column field="TotalDisponibles" title="Disp. Total" width="110"></kendo-grid-column>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>

  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>


        <ng-template #modal let-modal let-c="close">
          <div class="modal-header">
            <h4 class="modal-title" id="modal-graf">{{ modalTitle }}</h4>
            <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">

            <app-help-agencia (agencia)="getDataModal($event, 'Agencia'); c();" *ngIf="modalType === 'Agencia'"></app-help-agencia>

          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
          </div>
        </ng-template>
